#include <ESP8266HTTPClient.h>
#include <ESP8266WiFi.h>

const char* ssid = "nombreWIFI";
const char* password = "contraseñaWIFI";
uint8_t connection_state = 0;
uint16_t reconnect_interval = 10000;
WiFiClient client;

uint8_t WiFiConnect(const char* nSSID = nullptr, const char* nPassword = nullptr)
{
    static uint16_t attempt = 0;
    Serial.print("Connecting to ");
    if(nSSID) {
        WiFi.begin(nSSID, nPassword);
        Serial.println(nSSID);
    }

    uint8_t i = 0;
    while(WiFi.status()!= WL_CONNECTED && i++ < 50)
    {
        delay(200);
        Serial.print(".");
    }
    ++attempt;
    Serial.println("");
    if(i == 51) {
        Serial.print("Connection: TIMEOUT on attempt: ");
        Serial.println(attempt);
        if(attempt % 2 == 0)
            Serial.println("Check if access point available or SSID and Password\r\n");
        return false;
    }
    Serial.println("Connection: ESTABLISHED");
    Serial.print("Got IP address: ");
    Serial.println(WiFi.localIP());
    return true;
}

void Awaits()
{
    uint32_t ts = millis();
    while(!connection_state)
    {
        delay(50);
        if(millis() > (ts + reconnect_interval) && !connection_state){
            connection_state = WiFiConnect();
            ts = millis();
        }
    }
}

void setup() {
 
  Serial.begin(115200);
  connection_state = WiFiConnect(ssid, password);
    if(!connection_state)
        Awaits();
 
}
 
void loop() {
 
  if (WiFi.status() == WL_CONNECTED) {
 
    HTTPClient http;
    String data = "";
 
    http.begin(client, "http://ivanrzgd.pythonanywhere.com/message/int:paciente/int:posology/int:estado");    
    http.addHeader("Content-Type", "text/plain");
 
    int httpCode = http.POST(data);
    String payload = http.getString();
 
    Serial.println(httpCode);
    Serial.println(payload);
 
    http.end();
 
  } else {
 
    Serial.println("Error en la conexión al router");
 
  }
 
  delay(30000);
 
}
