from django.core.files.storage import FileSystemStorage
from .models import Patient, Posology, Intake
from django import forms

# FORMULARIOS PARA LA GESTIÓN DE PACIENTES ----------------------------------------------------------------

class FormPatient(forms.ModelForm):
    class Meta:
        model = Patient
        fields = ['name', 'surname', 'dni', 'cipa', 'birth_date', 'province', 'town', 'postal_code', 'direction', 'phone_number',]

# FORMULARIOS PARA LA GESTIÓN DE POSOLOGÍA ----------------------------------------------------------------

class FormPosology(forms.ModelForm):
    class Meta:
        model = Posology
        fields = ['patient', 'medicine', 'intake', 'chronic', 'end_date', 'amount', 'motor']

class FormEditPosology(forms.ModelForm):
    class Meta:
        model = Posology
        fields = ['medicine', 'intake', 'chronic', 'end_date', 'amount', 'motor']

# FORMULARIOS PARA LA GESTIÓN DE MOMENTOS DE INGESTA ------------------------------------------------------

class FormIntake(forms.ModelForm):
    class Meta:
        model = Intake
        fields = ['patient', 'moment', 'time', 'folder', 'file']

class FormEditIntake(forms.ModelForm):
    class Meta:
        model = Intake
        fields = ['id', 'moment', 'time', 'folder', 'file']