from django.core.management.base import BaseCommand, CommandError
from controlador.models import *
import datetime, pytz
from datetime import timedelta
import traceback

class Command(BaseCommand):
    help = 'checkExpiricy - Delete expired Posology in model.'

    def handle(self, *args, **options):
        now_date = datetime.datetime.utcnow().date()
        index = 1
        changes = 'Éxito en la rutina. Cambios aplicados: \n'

        try:
            for posology in Posology.objects.filter(chronic=False).all():
                if posology.end_date < now_date:
                    # Posology.objects.filter(id=posology.id).first()
                    new_string = str(index) + ': Posology - ' + str(posology.id) + ' | Patient - ' + str(posology.patient.name) + ' ' + str(posology.patient.surname) + ' | Medicine - ' + str(posology.medicine.name) + '. \n'
                    posology.delete()
                    changes += new_string
                    index += 1
        except:
            traceback.print_exc()
            offers_visibility = False
        else:
            offers_visibility = True
            if index == 1:
                changes += 'No se realizaron cambios.'

        if offers_visibility:
            self.stdout.write(self.style.SUCCESS(changes))
        else:
            msg = 'Fallo en la rutina -> No se pudo modificar la visibilidad de las ofertas'
            raise CommandError(msg)