from tabnanny import verbose
from django.contrib import admin
from django.db import models
from django.forms import TextInput

class AppUserAdmin(admin.ModelAdmin):
    list_display = ('email', 'validated', 'active',)

    formfield_overrides = {
        models.CharField: {'widget': TextInput(attrs={'autocomplete':'off', 'class':'vTextField'})},
    }

class MedicineAdmin(admin.ModelAdmin):
    list_display = ('name', 'disp', 'mg', 'tablets',)

class AdministrationAdmin(admin.ModelAdmin):
    list_display = ('id', 'name',)

class PatientAdmin(admin.ModelAdmin):
    list_display = ('id', 'nombre_completo', 'dni', 'cipa',)

    def nombre_completo(self, obj):
        class Meta:
            verbose_name = 'Nombre completo'
        return obj.name + ' ' + obj.surname

class PosologyAdmin(admin.ModelAdmin):
    list_display = ('id', 'patient', 'medicine', 'intake',)

class IntakeAdmin(admin.ModelAdmin):
    list_display = ('id', 'moment', 'time', 'paciente', 'audio')

    def paciente(self, obj):
        class Meta:
            verbose_name = 'Nombre completo del paciente'
        return obj.patient.name + ' ' + obj.patient.surname
    def audio(self, obj):
        return 'Carpeta: ' + str(obj.folder) + ' | Archivo: ' + str(obj.file)

class MessageAdmin(admin.ModelAdmin):
    list_display = ('id', 'paciente', 'intake', 'state')

    def paciente(self, obj):
        class Meta:
            verbose_name = 'Nombre completo del paciente'
        return obj.patient.name + ' ' + obj.patient.surname