from django.urls import path
from controlador import views as controlador_views

urlpatterns = [

    # Métodos GET
    path('acceso/', controlador_views.LoginHandler.as_view()),
    path('medicamentos/', controlador_views.MedicineHandler.as_view()),
    
    path('pacientes/', controlador_views.patients_view),
    path('patient/<int:patient_id>', controlador_views.PatientHandler.as_view()),
    path('patient/', controlador_views.PatientHandler.as_view()),

    path('pastillero/', controlador_views.pillbox_view),
    path('pastillero-personal/<int:patient_id>', controlador_views.personal_pillbox_view),
    path('posology/', controlador_views.PosologyHandler.as_view()),
    path('posology/<int:posology_id>', controlador_views.PosologyHandler.as_view()),
    
    path('ingesta/<int:patient_id>', controlador_views.intake_view),
    path('intake/', controlador_views.IntakeHandler.as_view()),
    path('intake/<int:intake_id>', controlador_views.IntakeHandler.as_view()),

    path('recuperacion/', controlador_views.recover),
    path('cuenta/', controlador_views.account),
    path('logout/', controlador_views.logout),
    path('mensajes/', controlador_views.messages),
    path('', controlador_views.show),

    path('copy-disp/', controlador_views.copy_disp),
    path('paste-disp/', controlador_views.paste_disp),

    path('message/<int:patient_id>/<int:intake_id>/<int:state>', controlador_views.MessageHandler.as_view()),

    path('createIno/<int:patient_id>', controlador_views.generateInoFile),

    # Envío de mensajes
    path('send_message/', controlador_views.send),
]